igeo.io

## Class IObjFileImporter.CurveType.Data

- java.lang.Object
- - igeo.io.IObjFileImporter.EntityData
  - - igeo.io.IObjFileImporter.ParametricGeometryData
    - - igeo.io.IObjFileImporter.CurveType.Data

- Enclosing class:
    IObjFileImporter.CurveType

      public class IObjFileImporter.CurveType.Data
      extends IObjFileImporter.ParametricGeometryData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `rational`
    `java.lang.String` | `type`

    - ### Fields inherited from class igeo.io.IObjFileImporter.ParametricGeometryData

      `group`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `instantiate()`
    `void` | `setDegree(IObjFileImporter.Degree.Data d)`
    `void` | `setKnots(IObjFileImporter.Parameter.Data d)`

    - ### Methods inherited from class igeo.io.IObjFileImporter.ParametricGeometryData

      `addToGroup, setGroup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public java.lang.String type

    - #### rational

          public boolean rational

  - ### Constructor Detail

    - #### Data

          public Data()

  - ### Method Detail

    - #### setDegree

          public void setDegree(IObjFileImporter.Degree.Data d)

      Overrides:
        `setDegree` in class `IObjFileImporter.ParametricGeometryData`

    - #### setKnots

          public void setKnots(IObjFileImporter.Parameter.Data d)

      Overrides:
        `setKnots` in class `IObjFileImporter.ParametricGeometryData`

    - #### instantiate

          public void instantiate()

      Overrides:
        `instantiate` in class `IObjFileImporter.ParametricGeometryData`